Loading...
Searching...
No Matches
Dune::RemoteIndex< T1, T2 > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Information about an index residing on another processor. More...

`#include <dune/common/parallel/remoteindices.hh>`

Inheritance diagram for Dune::RemoteIndex< T1, T2 >:

## Public Types

typedef T1 | GlobalIndex
| the type of the global index. This type has to provide at least a operator< for sorting.
typedef T2 | Attribute
| The type of the attributes. Normally this will be an enumeration like.
typedef IndexPair< GlobalIndex, ParallelLocalIndex< Attribute > > | PairType
| The type of the index pair.

## Public Member Functions

const Attribute | attribute () const
| Get the attribute of the index on the remote process.
const PairType & | localIndexPair () const
| Get the corresponding local index pair.
| RemoteIndex ()
| Parameterless Constructor.
| RemoteIndex (const T2 &attribute, const PairType *local)
| Constructor.
| RemoteIndex (const T2 &attribute)
| Constructor. Private as it should only be called from within Indexset.
bool | operator== (const RemoteIndex &ri) const
bool | operator!= (const RemoteIndex &ri) const

## Friends

template<typename T>
class | IndicesSyncer
template<typename T, typename A, bool mode>
class | RemoteIndexListModifier
template<typename T, typename A, typename A1>
void | repairLocalIndexPointers (std::map< int, SLList< std::pair< typename T::GlobalIndex, typename T::LocalIndex::Attribute >, A > > &globalMap, RemoteIndices< T, A1 > &remoteIndices, const T &indexSet)
| Repair the pointers to the local indices in the remote indices.

## Detailed Description

template<typename T1, typename T2>
class Dune::RemoteIndex< T1, T2 >

Information about an index residing on another processor.

## Member Typedef Documentation

## Attribute

template<typename T1, typename T2>

typedef T2 Dune::RemoteIndex< T1, T2 >::Attribute

The type of the attributes. Normally this will be an enumeration like.

enum Attributes{owner, border, overlap}

e.g. OwnerOverlapCopyAttributes.

## GlobalIndex

template<typename T1, typename T2>

typedef T1 Dune::RemoteIndex< T1, T2 >::GlobalIndex

the type of the global index. This type has to provide at least a operator< for sorting.

## PairType

template<typename T1, typename T2>

typedef IndexPair<GlobalIndex,ParallelLocalIndex<Attribute> > Dune::RemoteIndex< T1, T2 >::PairType

The type of the index pair.

## Friends And Related Symbol Documentation

## IndicesSyncer

template<typename T1, typename T2>
template<typename T>

friend class IndicesSyncer

friend

## RemoteIndexListModifier

template<typename T1, typename T2>
template<typename T, typename A, bool mode>

friend class RemoteIndexListModifier

friend

## repairLocalIndexPointers

template<typename T1, typename T2>
template<typename T, typename A, typename A1>

void repairLocalIndexPointers | ( | std::map< int, SLList< std::pair< typename T::GlobalIndex, typename T::LocalIndex::Attribute >, A > > & | globalMap,
|  | RemoteIndices< T, A1 > & | remoteIndices,
|  | const T & | indexSet )

friend

Repair the pointers to the local indices in the remote indices.

Parameters

  globalMap | The map of the process number to the list of global indices corresponding to the remote index list of the process.
  remoteIndices | The known remote indices.
  indexSet | The set of local indices of the current process.

The documentation for this class was generated from the following file:

- remoteindices.hh